from dataclasses import dataclass

from ._SchemaModel import SchemaModel


@dataclass
class RefSchemaModel(SchemaModel):
    ref: str

    def to_dict(self) -> dict:
        return {
            "$ref": self.ref
        }
